bug-libtool
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

libtool failed to handle $ in filename


From: H. J. Lu
Subject: libtool failed to handle $ in filename
Date: Sat, 2 Apr 2005 14:32:02 -0800
User-agent: Mutt/1.4.1i

This patch shows libtool failed to handle $ in filename. I think most,
if not all, special characters in filename aren't supported by libtool.


H.J.
----
2005-04-02  H.J. Lu  <address@hidden>

        * tests/Makefile.am (COMMON_TESTS): Add filename.test.

        * tests/filename.test: New file.

--- libtool/tests/Makefile.am.sp        2005-03-11 05:31:44.000000000 -0800
+++ libtool/tests/Makefile.am   2005-04-02 14:04:37.361892074 -0800
@@ -87,7 +87,7 @@ F77_TESTS = \
 
 COMMON_TESTS = \
        link.test link-2.test nomode.test objectlist.test \
-       quote.test sh.test suffix.test tagtrace.test \
+       quote.test sh.test suffix.test filename.test tagtrace.test \
        cdemo-static.test cdemo-make.test cdemo-exec.test \
        demo-static.test demo-make.test demo-exec.test \
        demo-inst.test demo-unst.test \
--- libtool/tests/filename.test.sp      2005-04-02 14:05:08.452131858 -0800
+++ libtool/tests/filename.test 2005-04-02 14:03:36.778115184 -0800
@@ -0,0 +1,44 @@
+#! /bin/sh
+# filename.test - check that libtool knows how to handle special
+# charactors in filename.
+
+# Copyright (C) 2005 Free Software Foundation, Inc.
+# This is free software; see the source for copying conditions.  There is NO
+# warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, a copy can be downloaded from
+# http://www.gnu.org/copyleft/gpl.html, or by writing to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA.
+
+# Special charactors
+specials="\$"
+
+. ./defs || exit 1
+
+status=$EXIT_SUCCESS
+for sp in $specials; do
+  # Try a sample compile command.
+  file="file${sp}1.c"
+  rm -f $file
+  touch $file
+  if $LIBTOOL --mode=compile $CC -c $file 2>&1; then
+    echo "recognized $file as a valid source file"
+  else
+    status=$EXIT_FAILURE
+  fi
+  rm -f $file
+done
+
+exit $status




reply via email to

[Prev in Thread] Current Thread [Next in Thread]